package com.joju.datamanager.service;

import com.joju.datamanager.model.medicalprescription.MedicalPrescription;
import com.joju.datamanager.model.viewmodel.PatientList;

import java.util.List;
import java.util.Map;

/**
 * @description: 手术管理接口服务
 * @author: Mr.zs
 * @create: 2024-03-15 17:45
 **/
public interface HisViewSearchService {
    public List<Map<String, Object>> getSurgicalView(String hzxm, String blh);


    List<PatientList> getHistoricalVisits(String patientName, String idcard);

    List<MedicalPrescription> getMedicalPrescription();
}
